gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A base class for input method contexts. GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void Notify the input method that the widget to which this input context corresponds has gained focus. The input method may, for example, change the displayed feedback to reflect this change.
- Method
  System.Void Notify the input method that the widget to which this input context corresponds has lost focus. The input method may, for example, change the displayed feedback or reset the contexts state to reflect this change.
- Method
  System.Boolean `` `` To be added a a a
- Method
  System.Boolean `` Allow an input method to handle a . a representing a key press. if the keypress was handled. If the method returns , no further processing should be done for .
- Method
  System.Void Resets the state of the input method. Call this method if, for example, a change in cursor position has occurred. The reset clears any existing pre-edit state.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of IMContext, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Gdk.Window To be added a a
- Property
  Gdk.Rectangle To be added a a
- Property
  System.Boolean To be added a a
- Event
  System.EventHandler To be added
- Event
  System.EventHandler To be added
- Event
  Gtk.SurroundingDeletedHandler To be added
- Event
  Gtk.CommitHandler Commit text event. The event is emitted when the input method has processed all the keystrokes for an individual text element, including pre-edit keystrokes. The resulting text is located in
- Event
  Gtk.RetrieveSurroundingHandler To be added
- Event
  System.EventHandler To be added
- Method
  System.Void `` `` To be added a a
- Method
  System.Boolean `` `` To be added a a a
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Boolean Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Boolean `` `` Default handler for the event. a a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  System.Int32 `` `` To be added a a a
- Constructor
  Protected Constructor.
  a